Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Class DockingPath

    java.lang.Object
      org.flexdock.docking.state.DockingPath

All Implemented Interfaces:
  Serializable, Cloneable, DockingConstants

    public class DockingPath

extends Object
implements Cloneable, DockingConstants, Serializable

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static String` | `RESTORE_PATH_KEY`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockingPath()`

Method Summary
`Object` | `clone()`
`static DockingPath` | `create(Dockable dockable)`
`static DockingPath` | `create(String dockableId)`
`static SplitNode` | `createNode(Dockable dockable)`
`static SplitNode` | `createNode(DockingPort port)`
`int` | `getDepth()`
`SplitNode` | `getLastNode()`
`SplitNode` | `getNode(int indx)`
`List` | `getNodes()`
`static DockingPath` | `getRestorePath(Dockable dockable)`
`DockingPort` | `getRootPort()`
`String` | `getRootPortId()`
`String` | `getSiblingId()`
`boolean` | `isTabbed()`
`boolean` | `restore(Dockable dockable)`
`boolean` | `restore(String dockable)`
`void` | `setRootPortId(String portId)`
`void` | `setSiblingId(String siblingId)`
`void` | `setTabbed(boolean isTabbed)`
`String` | `toString()`
`static DockingPath` | `updateRestorePath_(Dockable dockable, DockingPath restorePath)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESTORE_PATH_KEY

    public static final String RESTORE_PATH_KEY

See Also:
  Constant Field Values

Constructor Detail

### DockingPath

    public DockingPath()

Method Detail

### create

    public static DockingPath create(String dockableId)

### create

    public static DockingPath create(Dockable dockable)

### createNode

    public static SplitNode createNode(Dockable dockable)

### createNode

    public static SplitNode createNode(DockingPort port)

### getRestorePath

    public static DockingPath getRestorePath(Dockable dockable)

### updateRestorePath_

    public static DockingPath updateRestorePath_(Dockable dockable,
                                                 DockingPath restorePath)

### isTabbed

    public boolean isTabbed()

### setTabbed

    public void setTabbed(boolean isTabbed)

### getSiblingId

    public String getSiblingId()

### setSiblingId

    public void setSiblingId(String siblingId)

### getNodes

    public List getNodes()

### getRootPort

    public DockingPort getRootPort()

### getRootPortId

    public String getRootPortId()

### setRootPortId

    public void setRootPortId(String portId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### restore

    public boolean restore(String dockable)

### restore

    public boolean restore(Dockable dockable)

### getLastNode

    public SplitNode getLastNode()

### getDepth

    public int getDepth()

### getNode

    public SplitNode getNode(int indx)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD